Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatInviteLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatInviteLink>
it.tdlight.jni.TdApi.GetChatInviteLink

Enclosing class:
  TdApi

public static final class TdApi.GetChatInviteLink extends TdApi.Function<TdApi.ChatInviteLink>
Returns information about an invite link. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLink`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`inviteLink`
Invite link to get.

## Constructor Summary

Constructors
Constructor
Description
`GetChatInviteLink()`
Returns information about an invite link.
`GetChatInviteLink(long chatId, String inviteLink)`
Returns information about an invite link.
`GetChatInviteLink(DataInput input)`
Returns information about an invite link.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### inviteLink

public String inviteLink
Invite link to get.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetChatInviteLink

public GetChatInviteLink()
Returns information about an invite link. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLink`

### GetChatInviteLink

public GetChatInviteLink(long chatId, String inviteLink)
Returns information about an invite link. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLink`

Parameters:
  `chatId` - Chat identifier.
  `inviteLink` - Invite link to get.

  Returns `ChatInviteLink`

### GetChatInviteLink

public GetChatInviteLink(DataInput input) throws IOException
Returns information about an invite link. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLink`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`